Bug 1123899 - javapackages-tools: maven.prov: Incorrect provides for aliases
Summary: javapackages-tools: maven.prov: Incorrect provides for aliases
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: javapackages-tools
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-28 15:09 UTC by Mikolaj Izdebski
Modified: 2014-09-09 16:23 UTC (History)
3 users (show)

Fixed In Version: javapackages-tools-4.2.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 15:08:28 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-07-28 15:09:19 UTC
Description of problem:
Auto-provides for the following artifact are incorrect.

<metadata xmlns="http://fedorahosted.org/xmvn/METADATA/2.0.0">
  <artifacts>
    <artifact>
      <groupId>commons-logging</groupId>
      <artifactId>commons-logging</artifactId>
      <classifier>api</classifier>
      <version>1.2</version>
      <path>/usr/share/java/commons-logging-api.jar</path>
      <aliases>
        <alias>
          <groupId>org.apache.commons</groupId>
          <artifactId>commons-logging-api</artifactId>
        </alias>
      </aliases>
    </artifact>
  </artifacts>
</metadata>

Actual results:
mvn(commons-logging:commons-logging::api:) = 1.2
mvn(org.apache.commons:commons-logging-api::api:) = 1.2
osgi(org.apache.commons.logging) = 1.2.0

Expected results:
mvn(commons-logging:commons-logging::api:) = 1.2
mvn(org.apache.commons:commons-logging-api) = 1.2
osgi(org.apache.commons.logging) = 1.2.0

Comment 1 Michal Srb 2014-08-11 07:53:27 UTC
Fixed in b9f9ff9.

Comment 2 Michal Srb 2014-09-09 15:08:28 UTC
Fixed in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.